This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1264716 - Port bkr group-modify to use new HTTP APIs
Port bkr group-modify to use new HTTP APIs
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 23.0
: ---
Assigned To: matt jia
tools-bugs
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 21:24 EDT by matt jia
Modified: 2016-07-07 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 19:12:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matt jia 2015-09-20 21:24:27 EDT
Bug 1251356 has introduced several new HTTP APIs for the group page. bkr group-modify now can be ported to use those APIs to take place of the old XMLRPC methods.
Comment 1 matt jia 2015-09-20 21:24:49 EDT
On Gerrit:

 http://gerrit.beaker-project.org/#/c/4391/
Comment 2 Dan Callaghan 2015-09-29 01:12:08 EDT
I was thinking we should actually roll this out of 22.0 and put it in for 23.0 instead. The reason is that users generally upgrade their bkr client shortly after we publish it to the repos, but the Beaker server is often upgraded days or weeks later. So it's quite common to be running a newer client than the server.

We have bug 1029287 which is about giving a better error message in case the server is too old to support an API which the client is trying to use. And we should implement that. But even if we do, people will still be forced to downgrade their client if they want it to actually work with the older server.

So at the same time, we are probably better off not using newly introduced APIs in the client until at least one release after they are added to the server, to decrease the likelihood of breakage because the server is too old for the client.
Comment 3 Dan Callaghan 2016-04-05 07:10:29 EDT
This bug fix is included in beaker-client-23.0-0.git.138.34eb2fc which is currently available for download here:

https://beaker-project.org/nightlies/develop/
Comment 5 Dan Callaghan 2016-07-07 19:12:11 EDT
Beaker 23.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.